------------------------------------------------------------------------------------
--Name：            211217[简体征服][活动脚本]全球春节活动
--Creator:      林嘉鑫
--Created:     2021-12-17
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>246

local Npc1 = CppScriptMgr:AddSimplePlayer(39876, 279,247, "", 4003000001,1)
Npc1:SetZoomPercent(100)
Npc1:SetDir(6);
local Npc2 = CppScriptMgr:AddSimplePlayer(39876, 279,253, "", 4003000002,1)
Npc2:SetZoomPercent(100)
Npc2:SetDir(6);
local Npc3 = CppScriptMgr:AddSimplePlayer(39876, 279,241, "", 4003000003,1)
Npc3:SetZoomPercent(100)
Npc3:SetDir(6);

local Monster1 = CppScriptMgr:AddPlayer(385, 289,246, "[Little Tiger]\n   Taotao", 4003000004,1)
Monster1:SetZoomPercent(40)
Monster1:SetDir(2)

local Monster2 = CppScriptMgr:AddPlayer(385, 289,250, "[Little Tiger]\n   Kiki", 4003000005,1)
Monster2:SetZoomPercent(40)
Monster2:SetDir(2)
-- 渐变进场
CppScriptMgr:SetViewPosByCell(289, 248)
CppScriptMgr:SetViewScale(256);
CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(2000);
local effectObj01 = CppScriptMgr:AddEffect("zf2-e186", 279, 247);
local effectObj02 = CppScriptMgr:AddEffect("zf2-e186", 279, 253);
local effectObj03 = CppScriptMgr:AddEffect("zf2-e186", 279, 241);
CppScriptMgr:WaitMilSec(800);
local effectObj04 = CppScriptMgr:AddEffect("M_Fire", 279, 247);
local effectObj05 = CppScriptMgr:AddEffect("M_Fire", 279, 253);
local effectObj06 = CppScriptMgr:AddEffect("M_Fire", 279, 241);
CppScriptMgr:WaitMilSec(1000);
Monster1:Say("Hahaha! Tiger Powder is fun!", 1000)
CppScriptMgr:WaitMilSec(1000);
local effectObj07 = CppScriptMgr:AddEffect("moveback", 296, 248);
CppScriptMgr:WaitMilSec(1000);
local hero = CppScriptMgr:QueryHero()
local heroname = hero:GetName()
local sex = hero:GetSex()
hero:SetPos(296,248)
hero:SetDir(2)
CppScriptMgr:WaitMilSec(1000);
hero:SetAction(160)
CppScriptMgr:WaitMilSec(1000);
hero:Say("Stop it! You`ll cause a fire if you keep doing this!", 2000)
CppScriptMgr:WaitMilSec(2000);
Monster1:SetDir(6)
Monster2:SetDir(6)
CppScriptMgr:WaitMilSec(500);
Monster1:Say("Humph! King of the forest will never be afraid of fire!", 2000)
CppScriptMgr:WaitMilSec(2000);
Monster2:Say("Ignore this weirdo! Let`s go blow up the fish pond! Maybe we can get some fish!", 2000)
CppScriptMgr:WaitMilSec(2000);
local effectObj08 = CppScriptMgr:AddEffect("superxp2-1-1", 289, 246);
local effectObj09 = CppScriptMgr:AddEffect("superxp2-1-1", 289, 250);
CppScriptMgr:WaitMilSec(1000);
Monster1:SetPos(0,0)
Monster2:SetPos(0,0)
CppScriptMgr:WaitMilSec(1000);
local effectObj10 = CppScriptMgr:AddEffect("moveback", 285, 248);
CppScriptMgr:WaitMilSec(1000);
local Npc4 = CppScriptMgr:AddSimplePlayer(1061382, 285,248, "Tiger Tribe Leader", 4003000006,1)
Npc4:SetZoomPercent(100)
CppScriptMgr:WaitMilSec(1000);
Npc4:SetAction(160)
CppScriptMgr:WaitMilSec(1000);
Npc4:Say("#09#09#09These tiger cubs! We must teach them a lesson!", 2000)
CppScriptMgr:WaitMilSec(2000);
hero:Say("A sound spanking will solve the problem.", 2000)
CppScriptMgr:WaitMilSec(2000);
Npc4:SetPos(0,0)
Npc5 = CppScriptMgr:AddSimplePlayer(1061386, 285,248, "Tiger Tribe Leader", 4003000007,1)
Npc5:SetZoomPercent(100)
Npc5:SetDir(6);
CppScriptMgr:WaitMilSec(500);
Npc5:WalkTo(293,248)
CppScriptMgr:WaitMilSec(2000);
Npc5:SetAction(200)
CppScriptMgr:WaitMilSec(1000);
Npc5:Say("I wonder if you are willing to teach them a lesson?", 2000)
CppScriptMgr:WaitMilSec(2000);
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000);
hero:Say("Easy peasy.", 2000)
CppScriptMgr:WaitMilSec(3000);
CppScriptMgr:SetDarkScreen(2000);
CppScriptMgr:WaitMilSec(2000);
